Bug 1341179 - systemctl --host / -H returns output for some commands after long time
Summary: systemctl --host / -H returns output for some commands after long time
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: systemd
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: systemd-maint
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-05-31 12:21 UTC by Lukas Brabec
Modified: 2016-07-23 18:48 UTC (History)
9 users (show)

Fixed In Version: systemd-229-9.fc24
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-23 18:48:55 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
broken formatting of systemctl output (662 bytes, text/plain)
2016-05-31 12:21 UTC, Lukas Brabec
no flags Details

Description Lukas Brabec 2016-05-31 12:21:05 UTC
Created attachment 1163208 [details]
broken formatting of systemctl output

Running systemctl commands with -H option does not immediately return output for every command.

For example, when I try command:
 systemctl -H root@machine list-units
I immediately got expected output.


But for command:
 systemctl -H root@machine status sshd
the command is stuck/waits (can exit with ctrl-c). On local machine I have a running process 'ssh -xT root@machine systemd-stdio-bridge' on the remotely controlled there is a running process 'systemd-stdio-bridge'. After a while (~10 minutes) I got expected output, but with broken formatting (see attachment). Sometimes I waited for half an hour and got no output.


This behaviour occurs only when the local machine (the remotely controlling one) is on F24 (systemd-229-8.fc24.x86_64), the remote machine can be both F23 (systemd-222-14.fc23.x86_64) or F24. 

When local machine with F23 is used, both F23 and F24 remote machines respond immediately (or the output is immediately processed and shown).



Version-Release number of selected component (if applicable):

on laptop with F24:
 systemd-229-8.fc24.x86_64

on laptop with F23:
 systemd-222-14.fc23.x86_64

on remotely controlled virtual machine with F24:
 systemd-229-8.fc24.x86_64




Steps to Reproduce:
1. have local machine with F24 (systemd-229-8.fc24.x86_64)
2. create virtual machine with F24.
3. set up sshd on virtual machine
4. systemctl -H root@virtual_machine list-units (immediate response)
5. systemctl -H root@virtual_machine status sshd (delayed response or none at all, broken formatting)

Comment 1 Jan Synacek 2016-06-15 10:57:34 UTC
In case it's critical for you, you can work around this problem by calling the command like so:

$ SYSTEMD_PAGER= systemctl -H root@virtual_machine status sshd

Reported upstream:
https://github.com/systemd/systemd/issues/3543

Comment 3 Fedora Update System 2016-07-21 06:47:19 UTC
systemd-229-9.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-47bda25e7a

Comment 4 Fedora Update System 2016-07-21 18:53:01 UTC
systemd-229-9.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-47bda25e7a

Comment 5 Fedora Update System 2016-07-23 18:48:10 UTC
systemd-229-9.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.